|  | Home | Documentation | uddi2__address Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
uddi2__address Class Reference

Schema urn:uddi-org:api_v2:"address". More...

`#include <uddi_v2.h>`

## Public Attributes
std::vector< uddi2__addressLine * > | addressLine
| Vector of uddi2__addressLine* with length 0..unbounded. More...
char * | useType
| Attribute useType of type xs:string. More...
char * | sortCode
| Attribute sortCode of type xs:string. More...
uddi2__tModelKey | tModelKey
| Attribute tModelKey of type "urn:uddi-org:api_v2":tModelKey. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"address".

## Member Data Documentation

std::vector<uddi2__addressLine* > uddi2__address::addressLine

Vector of uddi2__addressLine* with length 0..unbounded.

struct soap* uddi2__address::soap

A handle to the soap struct context that manages this class instance.

char* uddi2__address::sortCode

Attribute sortCode of type xs:string.

Optional attribute

uddi2__tModelKey uddi2__address::tModelKey

Attribute tModelKey of type "urn:uddi-org:api_v2":tModelKey.

Optional attribute

char* uddi2__address::useType

Attribute useType of type xs:string.

Optional attribute

The documentation for this class was generated from the following file:

- uddi_v2.h